/// <reference types="ws" />
import { JsonObject } from "merapi";
import { IRpc } from "./interface";
import * as WebSocket from "ws";
export default class Rpc implements IRpc {
    private ws;
    private commands;
    private requests;
    private options;
    constructor(ws: WebSocket, opt?: {});
    handleMessage(str: string | JsonObject): Promise<void>;
    sendMessage(payload: JsonObject): void;
    exec(command: string, args?: any[]): Promise<{}>;
    createCommand(command: string, handler: Function): void;
    removeCommand(command: string): void;
}
